[SciPy-User] trouble installing scipy on os x 10.7.4

Daπid davidmenhur@gmail....
Fri Aug 3 12:37:58 CDT 2012


In my experience, the easiest fail-proof for installing everything is
Macports. It will download and compile everything, and all dependences
will be linked.

On Fri, Aug 3, 2012 at 6:24 PM, carmel <carmeldudley@gmail.com> wrote:
> Hi, I'm on OS X 10.7.4 and am having trouble installing scipy.
>
> $ gcc --version:
> i686-apple-darwin11-llvm-gcc-4.2 (GCC) 4.2.1 (Based on Apple Inc. build
> 5658) (LLVM build 2336.9.00)
>
> $ gfortran --version:
> GNU Fortran (GCC) 4.2.3
>
> I got gfortran from here:
> http://r.research.att.com/tools/
> I already have numpy 1.6.1, am trying to install scipy-0.11.0rc1.
>
> The full output of $ python setup.py build is in this paste:
> http://pastebin.com/xs1fQ0fW
>
> All help welcome, I don't know anything about this stuff... I also
> downloaded and supposedly successfully installed the 10.7 specific add-on,
> from here:
> http://r.research.att.com/tools/gcc-42-5666.3-darwin11.pkg
> So I was surprised to see that the gcc version is the llvm-gcc-4.2 one that
> the installation guide warns about. Not sure how to change that or what I
> did wrong...
>
> Thanks,
> Carmel
> _______________________________________________
> SciPy-User mailing list
> SciPy-User@scipy.org
> http://mail.scipy.org/mailman/listinfo/scipy-user
>


More information about the SciPy-User mailing list